<?php
require ("../include/getData.php");
require ("../include/common.php");

#########################
# Brad Baker
# 2008.05.12
# CS526 - UCCS - term project
#
# This script allows addition of trail records to the system.
#
#########################

# Validate the login
$loginId = $_COOKIE["loginId"];
if (empty($loginId)) 
{ 
	// kick them out if there isn't ANY loginId
    header("Location: ./login.php");
} 
else 
{	// they are logged in (have a valid loginId)
	// Update the cookie for another 30 minutes
	$loginId = $_COOKIE["loginId"];
	setcookie("loginId", "$loginId",Time ()+ 1800 ,"/");

	// Pull the userId and userTypeId from the database.  Kick them out if they aren't validated
	$infoArray = getUserInfo($loginId, $dbconn);
	$userId = $infoArray[0];
	$isLoggedIn = true;	
}

	$sql = "select * from useraccess where userId = $userId and userTypeId in (2,3)";
	$result = pg_exec($dbconn, $sql);
	$theCount = pg_numrows($result);
	if ($theCount == 0) 
	{	
 	   header("Location: ./index.php");
	}

#  end of login validation

if ($_SERVER['REQUEST_METHOD'] == "POST") 
{
	$tname = $_POST['tname'];
	$tlocate = $_POST['tlocate'];
	$tdesc = $_POST['tdesc'];

	if (strlen($tname) == 0) 
	{
		$errStr .= "<li>Please enter a name for the trail.\n";	
	}
	if (strlen($tlocate) == 0) 
	{
		$errStr .= "<li>Please enter a location for the trail.\n";	
	}
	if (strlen($errStr) == 0) 
	{	
		$sql = "insert into bb_trails (
			trailname,
			traillocation,
			traildesc,
			addtime,
			updtime,
			adduser,
			upduser
		) values (
			'$tname',
			'$tlocate',
			'$tdesc',
			now(),
			now(),
			$userId,
			$userId
		)";

		$result = pg_exec($dbconn, $sql);
		$test = pg_affected_rows($result);
		if ($test == 1) 
		{
			$isAdded = true;
		} 
		else 
		{
			$errStr = "Error in data insert to database.";
		}

	}
} 

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
        "http://www.w3.org/TR/html4/loose.dtd">
<html lang="en">
<head>
	<title>bbaker - CS526 project</title>
	<link REL="STYLESHEET" TYPE="text/css" HREF="../include/style.css">
	<script language="JavaScript" src="../include/javabb.js" type="text/javascript"></script>
</head>
<body bgcolor="#ffffff">
	<table width=982 border=1 cellpadding=0 cellspacing=0>
		<tr>
			<!-- start Nav -->
			<td valign=top><?php include('nav.php'); ?></td>
			<!-- end Nav -->
			
			<td width=795px valign=top>
				<br>

				<table width=795px>
					<tr>
						<td width=20>&nbsp</td>
						<td colspan=2>
						<div align=left><a href="http://192.168.1.101/"><img src="../images/title.png" border="0"></a></div>
						<center><h3>Add Trail</h3></center><br>
						
						<?php if (! $isAdded){ ?>
						<b>Directions:</b> Fill out the form, then click the button below to add a trail record. <b>BOLD</b> items are required.<br><br>
						
						<form action="<?php echo $PHP_SELF ?>" name="submitForm" method="post">
						<table align=center width=100%>
						<?php
							if (! empty($errStr)) 
							{	// display any error messages
								echo "<tr><td colspan=2>\n";
								displayerror($errStr);
								echo "</td></tr>\n";
							}
						?>
				
							<tr>
								<td bgcolor="#eeeeee"><b>Trail Name</b></td>
								<td><input type="text" name="tname" value="<?php echo $tname; ?>" size="50"></td>
							</tr>
							<tr>
								<td bgcolor="#eeeeee"><b>Trail Location</b></td>
								<td><textarea name="tlocate" cols="40" rows="5" wrap="hard"><?php echo $tlocate; ?></textarea></td>
							</tr>
							<tr>
								<td bgcolor="#eeeeee">Trail Description</td>
								<td><textarea name="tdesc" cols="40" rows="5" wrap="hard"><?php echo $tdesc; ?></textarea></td>
							</tr>
							
							<tr>
								<td colspan=2 align=center><input type="submit"  name="theAction" value="Add Trail"></td>
							</tr>
						</table>
						</form>
						<?php }else{ ?>
							<table align=center>
							<tr>
								<td colspan=2>
								<?php
									if (! empty($errStr)) 
									{
										displayerror($errStr);
									}
								?>

								<?php
									if ($isAdded) 
									{		
										echo "<div align=center><h4>Successfully added the trail.</h4></div>\n";
									}
								?>
								</td>
							</tr>
							<tr>
							<td align=center colspan=2>
							<h4><a href="index.php">Project main page</a><br></h4>
							</td>
							</tr>
							</table>
						<?php } ?>
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
	</body>
</html>
